# SendMediaGroupData - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.requests.send.media / SendMediaGroupData

# SendMediaGroupData

(common) `data class SendMediaGroupData : DataRequest<List<MediaGroupMessage>>, SendMessageRequest<List<MediaGroupMessage>>` (source)

### Properties

(common)

#### chatId

`val chatId: ChatIdentifier`

(common)

#### disableNotification

`val disableNotification: Boolean`

(common)

#### media

`val media: List<MediaGroupMemberInputMedia>`

(common)

#### replyToMessageId

`val replyToMessageId: MessageIdentifier?`

(common)

#### requestSerializer

`val requestSerializer: SerializationStrategy<*>`

(common)

#### resultDeserializer

`val resultDeserializer: DeserializationStrategy<List<MediaGroupMessage>>`

### Functions

(common)

#### method

`fun method(): String`